package com.tofly.xrtygis.custom.service;

import com.tofly.xrtygis.entity.Costrlwater;

import java.util.Map;

/**
 * @author 陈浩
 * @date 2021-3-23
 */
public interface CustomWaterService {
    /**
     * 添加制水指标
     *
     * @param water 实际制水指标填报信息表
     * @return true or false
     */
    boolean insertWater(Costrlwater water);

    /**
     * 删除
     *
     * @param id 多个指标id
     * @return true or false
     */
    boolean deleteWater(String id);

    /**
     * 修改制水指标
     * @param costrlwater 制水指标信息表
     * @return true or false
     */
    boolean updateWater(Costrlwater costrlwater);

    /**
     * 计算实际值、计划值、运行值
     * @return map
     */
    Map<String, Object> waterTotal(String month);
}
